{% extends 'base.html' %}
{% block content_full %}
    <div class="page-header d-flex align-items-center ngo-and-npo-page">
        <div class="pt-2 pb-2">
            <h1>NGO and NPO</h1>

        </div>
    </div>
{% endblock %}
{% block content %}
    <div class="container">
        <div class="ngo-npo-container">
            <div class="row">
                <div class="col-md-8">
                    <h5 class="pt-4 pb-4 post-title">Search NGO / NPO by Name Search for an NGO/NPO by name to view their profile ...</h5>
                </div>
                <div class="col-md-4"></div>
            </div>
           {% if ngonpos %}
                {% for ngonpo in ngonpos %}

                        <div class="row ngo-npo-item d-flex align-items-center mb-2">
                            <div class="col-md-4 p-2">
                                <div class="profile-item-image pr-4">
                                    <img src="{{ ngonpo.logo.url }}" alt="">
                                </div>
                            </div>
                            <div class="col-md-8 border-left pl-2">
                                <div class="ngo-npo-item--body">
                                    <a href="{% url 'ngo-npo' %}{{ ngonpo.slug }}">
                                        <h6 class="post-title">{{ ngonpo.name }}</h6>
                                    </a>
                                    <p>{{ ngonpo.expect|truncatewords:30 }}</p>
                                    <a href="{% url 'ngo-npo' %}{{ ngonpo.slug }}" class="btn btn-primary mt-3">View profile</a>
                                </div>
                            </div>
                        </div>

                {% endfor %}
           {% else %}
            <div class="row">
                <div class="col-md-12">
                     <h5>No profile available</h5>
                </div>
            </div>

           {% endif %}
        </div>
	<div class="pagination">
	   <span class="step-links">
		{% if ngonpos.has_previous %}
		   <a href="?page=1" class="page-link">&laquo; first</a>
		   <a href="?page={{ ngonpos.previous_page_number }}">previous</a>
		{%endif%}
		 <span class="current">
			Page {{ ngonpos.number }} of {{ ngonpos.paginator.num_pages }}.
		</span>
		 {% if ngonpos.has_next %}
                  <a href="?page={{ ngonpos.next_page_number }}" class="page-link">next</a>
		  <a href="?page={{ ngonpos.paginator.num_pages }}" class="page-link">last &raquo;</a>
		 {% endif %}
	   </span>
	</div>
    </div>
{% endblock %}

{% block sidebar %}
    {% include 'includes/sidebar.html' %}
{% endblock %}
